import * as z from 'zod';
export const CloudFileAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    userId: z.number(),
    name: z.number(),
    mimeType: z.number(),
    fileSize: z.number(),
    folderId: z.number(),
    isComplete: z.number(),
    totalChunks: z.number(),
    diskPath: z.number(),
    createdAt: z.number(),
    updatedAt: z.number(),
    user: z.number(),
    folder: z.number(),
    chunks: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable(),
    fileSize: z.bigint().nullable(),
    folderId: z.number().nullable(),
    totalChunks: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable(),
    fileSize: z.number().nullable(),
    folderId: z.number().nullable(),
    totalChunks: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    name: z.string().nullable(),
    mimeType: z.string().nullable(),
    fileSize: z.bigint().nullable(),
    folderId: z.number().int().nullable(),
    totalChunks: z.number().int().nullable(),
    diskPath: z.string().nullable(),
    createdAt: z.date().nullable(),
    updatedAt: z.date().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    name: z.string().nullable(),
    mimeType: z.string().nullable(),
    fileSize: z.bigint().nullable(),
    folderId: z.number().int().nullable(),
    totalChunks: z.number().int().nullable(),
    diskPath: z.string().nullable(),
    createdAt: z.date().nullable(),
    updatedAt: z.date().nullable()
  }).nullable().optional()});